%define		syntax	lighttpd
Summary:	Vim syntax: lighttpd
Name:		vim-syntax-%{syntax}
Version:	1.19
Release:	1
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	https://github.com/glensc/vim-syntax-lighttpd/archive/v%{version}/%{syntax}-%{version}.tar.gz
# Source0-md5:	b1c104b2371d5a721e2b729c4df1ed47
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
This package provides syntax highlighting for lighttpd config files.

%prep
%setup -q

%build
ver=$(awk '/Version Info:/{print $4}' syntax/%{syntax}.vim)
if [ "$ver" != "%{version}" ]; then
	: Update version $ver, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}
cp -a syntax ftdetect $RPM_BUILD_ROOT%{_vimdatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc syntax.sh
%{_vimdatadir}/syntax/%{syntax}.vim
%{_vimdatadir}/ftdetect/%{syntax}.vim
%changelog
* Sat Mar 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vim-syntax-lighttpd.git;a=log;h=master

* Sat Mar 22 2014 Elan Ruusamäe <glen@delfi.ee> c312ca8
- v1.19: new homepage, keywords synced to lighttpd v1.4.25

* Mon May 24 2010 Elan Ruusamäe <glen@pld-linux.org> 254e1a9
- v1.17: recognize env. vars
- install to vimdir not vimfiles

* Mon May 24 2010 Elan Ruusamäe <glen@pld-linux.org> f65b9d4
- recognize env. vars

* Mon Nov 09 2009 Elan Ruusamäe <glen@pld-linux.org> a8a4402
- v1.16: keywords from Revision 2692

* Mon Nov 09 2009 Elan Ruusamäe <glen@pld-linux.org> d704149
- keywords from Revision 2692

* Mon Nov 09 2009 Elan Ruusamäe <glen@pld-linux.org> 24a46c2
- take srcdir from $1

* Mon Oct 05 2009 Elan Ruusamäe <glen@pld-linux.org> 43cff81
- v1.15: match more items

* Mon Oct 05 2009 Elan Ruusamäe <glen@pld-linux.org> 64ab619
- match more items

* Wed Sep 30 2009 Elan Ruusamäe <glen@pld-linux.org> c010bb1
- indent

* Fri Sep 18 2009 Elan Ruusamäe <glen@pld-linux.org> fa432f8
- match lighttpd configs from packages dir
- rename files
- v 1.14

* Wed May 13 2009 Elan Ruusamäe <glen@pld-linux.org> f8acef0
- utf8 is fine to me

* Wed May 13 2009 Elan Ruusamäe <glen@pld-linux.org> a312908
- update source url

* Wed May 13 2009 Elan Ruusamäe <glen@pld-linux.org> e3de4ad
- v1.12: update to current svn (dir-listing.auto-layout,
  dir-listing.encode-header, dir-listing.encode-readme, evasive.silent,
  extforward.headers, server.defer-accept were added

* Wed May 13 2009 Elan Ruusamäe <glen@pld-linux.org> 8dd7381
- update to current svn (dir-listing.auto-layout, dir-listing.encode-header, dir-listing.encode-readme, evasive.silent, extforward.headers, server.defer-accept were added

* Wed Apr 01 2009 Elan Ruusamäe <glen@pld-linux.org> 23acaf4
- 1.11: allow underscore in variable names: var.foo_bar

* Wed Apr 01 2009 Elan Ruusamäe <glen@pld-linux.org> 90a2518
- allow underscore in variable names: var.foo_bar

* Fri Feb 06 2009 Elan Ruusamäe <glen@pld-linux.org> 33ea9c5
- add debug.log-timeouts

* Thu Feb 05 2009 Elan Ruusamäe <glen@pld-linux.org> d56814d
- add server.reject-expect-100-with-417

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 129f84f
- v1.8: syntax improvements from Fred Peeterman <fred#peeterman.de>

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> d71b1ec
- hi link Option, use Identifier so known keywords are still hilited

